<?php
/**
 * @file
 * popsu_villes_europe.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function popsu_villes_europe_ctools_plugin_api() {
  list($module, $api) = func_get_args();
  if ($module == "context" && $api == "context") {
    return array("version" => "3");
  }
  list($module, $api) = func_get_args();
  if ($module == "field_group" && $api == "field_group") {
    return array("version" => "1");
  }
  list($module, $api) = func_get_args();
  if ($module == "page_manager" && $api == "pages_default") {
    return array("version" => "1");
  }
  list($module, $api) = func_get_args();
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_views_api().
 */
function popsu_villes_europe_views_api() {
  return array("version" => "3.0");
}

/**
 * Implements hook_image_default_styles().
 */
function popsu_villes_europe_image_default_styles() {
  $styles = array();

  // Exported image style: popsu-villeseurope-diaporama.
  $styles['popsu-villeseurope-diaporama'] = array(
    'name' => 'popsu-villeseurope-diaporama',
    'effects' => array(
      3 => array(
        'label' => 'Adaptive',
        'help' => 'Adaptive image scale according to client resolution.',
        'effect callback' => 'image_scale_effect',
        'dimensions callback' => 'image_scale_dimensions',
        'form callback' => 'adaptive_image_scale_form',
        'summary theme' => 'adaptive_image_scale_summary',
        'module' => 'adaptive_image',
        'name' => 'adaptive_image',
        'data' => array(
          'resolutions' => '1382, 992, 768, 480',
          'mobile_first' => 1,
          'height' => '',
          'width' => '1382',
          'upscale' => '',
        ),
        'weight' => '1',
      ),
    ),
  );

  return $styles;
}

/**
 * Implements hook_node_info().
 */
function popsu_villes_europe_node_info() {
  $items = array(
    'popsu_ville_europe' => array(
      'name' => t('Fiche Ville POPSU Europe'),
      'base' => 'node_content',
      'description' => t('Ce type de contenu permet de créer la fiche de présentation d\'une ville pour la partie POPSU Europe.'),
      'has_title' => '1',
      'title_label' => t('Nom de la ville'),
      'help' => '',
    ),
  );
  return $items;
}
